import React from 'react';

declare function Dashboard(): React.JSX.Element;

declare function Profile(): React.JSX.Element;

interface RouteConfig {
    name: string;
    path: string;
}
declare function useDynamicRoutes(routesConfig: RouteConfig[]): any;
declare function DynamicRouteRenderer({ routeName }: {
    routeName: string;
}): React.JSX.Element;
declare const _default: {
    useDynamicRoutes: typeof useDynamicRoutes;
    DynamicRouteRenderer: typeof DynamicRouteRenderer;
};

export { Dashboard, _default as DynamicRoute, Profile };
